
%Use this to create an array of values of the numercial derivative of W wrt
%alpha.

Databeta=.75:.05:.95;
Dataalpha=.1:.05:.50;
Datak=.01:.01:.1;

DerivativesAlpha=[];
for iterk=1:length(Datak)
    for iterb=1:length(Databeta)
        parfor itera=1:length(Dataalpha)
 DerivativesAlpha(itera,iterb,iterk)=dVda(Dataalpha(itera), Databeta(iterb), Datak(iterk));
    
        end
    end
end

maxdVda=max(DerivativesAlpha(:))


csvwrite('dVda_95.csv', DerivativesAlpha)


%Choose a value of k with the third argument
surf(Databeta, Dataalpha, DerivativesAlpha(:,:,1))
xlabel('beta')
ylabel('alpha')

