%Use this to create an array of values of the numercial derivative of V wrt
%k.

%%You can adjust the tolerance of the approximation by additing a Delta
%%argument to dWdk.  Default is .0001

Databeta=.75:.05:.95;
Dataalpha=.1:.05:.50;
Datak=.01:.01:.1;

DerivativesK=[];
for iterk=1:length(Datak)
    for iterb=1:length(Databeta)
        parfor itera=1:length(Dataalpha)
 DerivativesK(itera,iterb,iterk)=dVdk(Dataalpha(itera), Databeta(iterb), Datak(iterk), 00001);
    
        end
    end
end

mindWdk=min(DerivativesK(:))
maxdWdk=max(DerivativesK(:))

csvwrite('dVdk_95.csv', DerivativesK)



surf(Databeta, Dataalpha, DerivativesK(:,:,5))
xlabel('beta')
ylabel('alpha')






